DARKTABLE-GENERATE-CACHE(1)

NAME
darktable-generate-cache - update darktable's thumbnail cache

SYNOPSIS
    darktable-generate-cache [-h, --help; --version] [-m, --max-mip <0-7>] [--core <darktable options>]

DESCRIPTION
darktable is a digital photography workflow application for Linux, Mac OS X and several other Unices. It's described further in darktable(1).

darktable-generate-cache updates darktable's thumbnail cache. You can start this program to generate all missing thumbnails in the background when your computer is idle.

OPTIONS
All parameters are optional. If started without parameters darktable-generate-cache uses reasonable defaults.

-h, --help
    Gives usage information and terminates.

--version
    Gives copyright and version information and terminates.

--min-mip <0-7>
-m, --max-mip <0-7>
    darktable can handle and store thumbnails with up to eight different resolution steps for each image. These parameters define which maximum resolution should be generated and default to a range of 0-2. There is normally no need to generate all possible resolutions here; missing ones will be automatically generated by darktable the moment they are needed. When asked to generate multiple resolutions at once, the lower-resolution images are quickly downsampled from the highest-resolution image.

--min-imgid <N>
--max-imgid <N>
    Specifies the range of internal image IDs from the database to work on. If no range is given, darktable-generate-cache will process all images from the entire collection.

--core <darktable options>
    All command line parameters following --core are passed to the darktable core and handled as standard parameters. See darktable(1) for a detailed description of the options.

SEE ALSO
darktable(1)

AUTHORS
The principal developer of darktable is Johannes Hanika. The (hopefully) complete list of contributors to the project is:

* developers: Pascal Obry Aldric Renaudin Roman Lebedev * translators: Victor Forsiuk Pascal Obry Jeronimo Pellegrini Martin Straeten EdgarLux Marko Vertainen Kang-Wei Hsu Mario Zimmermann Matteo Mardegan RIM Fabio Sirna Nicolas Auffray Petr Stasiak Serkan ÖNDER Яна Тунгушпаева Besmir Godolja Báthory Péter Kofa Matjaž Jeran Nicolas Ryo Shinozaki Tianhao Chai bajdero * contributors (at least 4 commits): Victor Forsiuk Hanno Schwalm Diederik ter Rahe Mario Zimmermann Jeronimo Pellegrini Miloš Komarčević Sakari Kapanen Martin Straeten Ralf Brown solarer EdgarLux Chris Elston Paolo DePetrillo Bill Ferguson gi-man Marko Vertainen rawfiner Kang-Wei Hsu Nicolas Auffray * Sub-module rawspeed contributors (at least 1 commit): Roman Lebedev Miloš Komarčević Georg Lukas Yattaro Jan Šmucr Jorge Nerín Marco Ristuccia Massimo Paladin Michael Allman Omari Stephens Victor Forsiuk * Sub-module integration contributors (at least 1 commit): Pascal Obry Sakari Kapanen And all those of you that made previous releases possible

This man page was written by Ulrich Pegelow <ulrich.pegelow@tongareva.de> as part of the usermanual. It was turned into a man page by Tobias Ellinghaus <me@houz.org>.

COPYRIGHT AND LICENSE
Copyright (C) 2009-2017 by Authors.

darktable is free software; you can redistribute it and/or modify it under the terms of the GPL v3 or (at your option) any later version.